Debian Bug report logs - #722186
dh-buildinfo: Please produce stable output

version graph

Package: dh-buildinfo; Maintainer for dh-buildinfo is Yann Dirson <dirson@debian.org>; Source for dh-buildinfo is src:dh-buildinfo.

Reported by: Jérémy Bobbio <lunar@debian.org>

Date: Sun, 8 Sep 2013 21:42:02 UTC

Severity: wishlist

Tags: patch

Found in version dh-buildinfo/0.9+nmu1

Fixed in version dh-buildinfo/0.10

Done: Yann Dirson <dirson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Yann Dirson <dirson@debian.org>:
Bug#722186; Package dh-buildinfo. (Sun, 08 Sep 2013 21:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
New Bug report received and forwarded. Copy sent to Yann Dirson <dirson@debian.org>. (Sun, 08 Sep 2013 21:42:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: submit@bugs.debian.org
Subject: dh-buildinfo: Please produce stable output
Date: Sun, 8 Sep 2013 23:38:41 +0200
[Message part 1 (text/plain, inline)]
Package: dh-buildinfo
Version: 0.9+nmu1
Severity: wishlist
Tags: patch

Hi!

It would really help the “reproducible efforts” [1] if dh-buildinfo
would produce a stable output each time it is called.

The attached patch do this by:

 * calling gzip with the `-n` flag in order to prevent it to store
   a timestamp;
 * sorting the package lists by name.

The later might not be the nicest code, I don't really know Perl.

[1] http://wiki.debian.org/ReproducibleBuilds

Thanks!
-- 
Lunar                                .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[dh-buildinfo_0.9+nmu1_stable.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Yann Dirson <dirson@debian.org>:
You have taken responsibility. (Sun, 22 Sep 2013 17:06:10 GMT) Full text and rfc822 format available.

Notification sent to Jérémy Bobbio <lunar@debian.org>:
Bug acknowledged by developer. (Sun, 22 Sep 2013 17:06:10 GMT) Full text and rfc822 format available.

Message #10 received at 722186-close@bugs.debian.org (full text, mbox):

From: Yann Dirson <dirson@debian.org>
To: 722186-close@bugs.debian.org
Subject: Bug#722186: fixed in dh-buildinfo 0.10
Date: Sun, 22 Sep 2013 17:03:23 +0000
Source: dh-buildinfo
Source-Version: 0.10

We believe that the bug you reported is fixed in the latest version of
dh-buildinfo, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 722186@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yann Dirson <dirson@debian.org> (supplier of updated dh-buildinfo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 22 Sep 2013 18:37:02 +0200
Source: dh-buildinfo
Binary: dh-buildinfo
Architecture: source all
Version: 0.10
Distribution: unstable
Urgency: low
Maintainer: Yann Dirson <dirson@debian.org>
Changed-By: Yann Dirson <dirson@debian.org>
Description: 
 dh-buildinfo - Debhelper addon to track package versions used to build a package
Closes: 593601 722186
Changes: 
 dh-buildinfo (0.10) unstable; urgency=low
 .
   * Acknowledge NMU.
   * Include in source the lastest buildinfo-packagetable version, with
     more flexible command line.
   * Produce stable output (Jérémy Bobbio, Closes: #722186):
     * sort list of packages
     * omit original name/timestamp from gzip file
   * Don't install buildinfo files inside udebs (Colin Watson, Closes: #593601).
   * Move debhelper from Build-Depends-Indep to Build-Depends (lintian).
   * Use DESTDIR instead of PREFIX at "make install" time (lintian).
   * Don't ignore all "make realclean" errors (lintian).
   * Switch from debhelper compat 4 to 9.
   * Switch from dh_clean -k to dh_prep.
Checksums-Sha1: 
 3e623a6fcdd178dd0e15c511fc7692e37f782f00 802 dh-buildinfo_0.10.dsc
 764078927ea38cb7f4b9805af60f43ecc1eb8ead 19151 dh-buildinfo_0.10.tar.gz
 91de1c7da0e66097fe25835964c1a9aa2d559a76 14916 dh-buildinfo_0.10_all.deb
Checksums-Sha256: 
 d4261605f7b31a83fcea3e42e5e80dbfc57809353302719f552df03b3bd4c5a7 802 dh-buildinfo_0.10.dsc
 a50866ea40637b326317cf4684487fe0fbf4667e1e896fd7702390b4e60d1410 19151 dh-buildinfo_0.10.tar.gz
 0867ca59e3efdd9110420aec9818a26f1d9a0765d31f1607b53bb083e7cd36f4 14916 dh-buildinfo_0.10_all.deb
Files: 
 6276dc67f1ccf8d765bb0d1b634622c7 802 devel optional dh-buildinfo_0.10.dsc
 b8188122cd0e2a5aa6fd1cec2de56f6f 19151 devel optional dh-buildinfo_0.10.tar.gz
 d122bd6e460ea9400cdbd4855a410d0a 14916 devel optional dh-buildinfo_0.10_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iD8DBQFSPyCIV1uVslwzwbgRAnthAKCbueMXA0wBMrCYUfETazvT2bOF2ACfV9ie
I5PyMl+2NKjvj3hrvK/kL8A=
=GNAL
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 31 Oct 2013 07:35:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:37:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.